<div class="panel panel-default clearfix">
    <div class="panel-heading">Thống kê nhanh</div>
    <div class="panel-body">

        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Toàn bộ Vấn đề</h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-credit-card"></span>
                    <h3 class="sumary-value sales_revenue">100</h3>
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Đang tiến hành</h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-hourglass-end"></span>
                    <h3 class="sumary-value">100</h3>
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Mới</h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-sliders"></span>
                    <h3 class="sumary-value">100</h3>
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Mở lại</h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-cubes"></span>
                    <h3 class="sumary-value">100</h3>
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Đã giải quyết</h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-bar-chart"></span>
                    <h3 class="sumary-value">100</h3>
                </div>
            </div>
        </div>
        <div class="col-md-2">
            <div class="sumary-panel">
                <h4 class="title">Đã hoàn thành </h4>
                <div class="sumary-body clearfix">
                    <span class="icon-sum fa fa-check-circle"></span>
                    <h3 class="sumary-value">100</h3>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 witget issue" *ngIf="userPermission['VIEW-REPORT-ISSUE']">
            <div class="white-witget m-b-30 padding-0">
                <div class="card-header">
                    <h5 class="card-title m-b-0">Vấn đề</h5>
                    <div class="card-controls">
                        <a href="#" class="glyphicon glyphicon-fullscreen"></a>
                        <a href="#" class="glyphicon glyphicon-refresh"></a>
                        <div class="dropdown">
                            <a href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <i
                                    class="glyphicon glyphicon-option-vertical"></i> </a>
                            <div class="dropdown-menu dropdown-menu-right">
                                <button class="dropdown-item" type="button">Action</button>
                                <button class="dropdown-item" type="button">Another action</button>
                                <button class="dropdown-item" type="button">Something else here</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body ">
                    <div class="table-style2 clearfix table-responsive">
                        <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                            cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>Vấn đề</th>
                                    <th>Gán cho</th>
                                    <th>Ngày cập nhật</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let item of Issue">
                                    <td class="text-primary m-0"><a
                                            [routerLink]="['/issues',item.id,'edit']">{{ item.name }}</a></td>
                                    <td>{{ item.full_name }}</td>
                                    <td>{{ item.updated_at }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!--widget card ends-->

        </div>
        <div class="col-md-8">
            <div class="white-witget padding-0">
                <div class="body">
                    <h2>Line CHART</h2>
                    <ngx-charts-line-chart [view]="view" [scheme]="colorScheme" [results]="multi" [gradient]="gradient"
                        [xAxis]="showXAxis" [yAxis]="showYAxis" [legend]="showLegend" [showXAxisLabel]="showXAxisLabel"
                        [showYAxisLabel]="showYAxisLabel" [xAxisLabel]="xAxisLabel" [yAxisLabel]="yAxisLabel"
                        [autoScale]="autoScale" (select)="onSelect($event)">
                    </ngx-charts-line-chart>
                </div>
            </div>
        </div>

    </div>
    <div class="row">
        
        <div class="col-md-8 witget module-category" *ngIf="userPermission['VIEW-REPORT-MODULE-STATUS']">
            <div class="row">
                <div class="white-witget m-b-30">
                    <div class="col-md-12">
                        <h4 class="title">Tình trạng Dự án</h4>
                        <select class="form-control" (change)="onChange($event)">
                            <option *ngFor="let item of ModuleStatusList" [value]="item.id">{{item.name}}</option>
                        </select>
                    </div>
                    <div class="table-style2 clearfix table-responsive">
                        <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                            cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>Tên danh mục dự án</th>
                                    <th>Mới</th>
                                    <th>Đang tiến hành</th>
                                    <th>Đã giải quyết</th>
                                    <th>Đã hoàn thành</th>
                                    <th>Mở lại</th>


                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let items of ModuleCategory">
                                    <td>{{ items.module_CategoryName }}</td>
                                    <td>{{ items.New }}</td>
                                    <td>{{ items.InProgress }}</td>
                                    <td>{{ items.Solved }}</td>
                                    <td>{{ items.Completed }}</td>
                                    <td>{{ items.Open }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 witget" *ngIf="userPermission['VIEW-REPORT-MODULE-DAILY']">
                <div class="row">
                    <div class="white-witget m-b-30 padding-0">
                        <div class="col-md-12" style="padding: 10px;">
                            <h4 class="title">Người dùng hàng ngày</h4>
                        </div>
                        <div class="table-style2 clearfix table-responsive">
                            <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                                cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>Tên</th>
                                        <th>Hôm nay</th>
                                        <th>Thời gian(h)</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let item of DailyList">
                                        <td style="color: #f17e08">{{item.name}}</td>
                                        <td>{{item.issueToday}}</td>
                                        <td>{{item.workTime}}</td>
                                        <td>{{item.full_name}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        <div class="col-md-8 witget" *ngIf="userPermission['VIEW-REPORT-ISSUE-COMPLETED']">
            <div class="row">
                <div class="white-witget m-b-30">
                    <div class="col-md-12" style="padding: 15px;">
                        <h4 class="title">Công việc hoàn thành</h4>
                    </div>
                    <div class="table-style2 clearfix table-responsive">
                        <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                            cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>Hôm nay</th>
                                    <th>Hôm qua</th>
                                    <th>Trong tuần</th>
                                    <th>Tháng này</th>
                                    <th>Năm nay</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let item of IssueCompleted">
                                    <td>{{ item.name }}</td>
                                    <td>{{ item.Today }}</td>
                                    <td>{{ item.Yesterday }}</td>
                                    <td>{{ item.In_Week }}</td>
                                    <td>{{ item.In_month }}</td>
                                    <td>{{ item.In_year }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-8 margin-top">
            <div class="white-witget padding-0">
                <div class="body">
                    <h2>BAR CHART</h2>
                    <ngx-charts-bar-vertical [view]="view" [scheme]="colorScheme" [results]="single"
                        [gradient]="gradient" [xAxis]="showXAxis" [yAxis]="showYAxis" [legend]="showLegend"
                        [showXAxisLabel]="showXAxisLabel" [showYAxisLabel]="showYAxisLabel" [xAxisLabel]="xAxisLabel"
                        [yAxisLabel]="yAxisLabel" (select)="onSelect($event)">
                    </ngx-charts-bar-vertical>
                </div>
            </div>
        </div>
    </div>
</div>
